"use strict";
// export function
Object.defineProperty(exports, "__esModule", { value: true });
const ElementAtrrbuteTransforms = {
    AttributeNode: require('./AttributeNode').default,
    EventAttributeNode: require('./EventAttributeNode').default,
    ClassAttributeNode: require('./ClassAttributeNode').default,
    StyleAttributeNode: require('./StyleAttributeNode').default,
    RefAttributeNode: require('./RefAttributeNode').default,
    NamedSlotAttributeNode: require('./NamedSlotAttributeNode').default
};
function default_1(node, att, context) {
    const func = ElementAtrrbuteTransforms[att.type];
    if (!func) {
        throw new Error('属性解析器:' + att.type + ',不存在');
    }
    return func(node, att, context);
}
exports.default = default_1;
//# sourceMappingURL=index.js.map