"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defCondition = exports.isEndIf = exports.isIfDef = void 0;
/**
 * 是否条件编译的注释
 * @param comment
 */
function isIfDef(comment) {
    if (comment.trim().startsWith('#ifdef')) {
        return true;
    }
    return false;
}
exports.isIfDef = isIfDef;
function isEndIf(comment) {
    if (comment.trim().startsWith('#endif')) {
        return true;
    }
    return false;
}
exports.isEndIf = isEndIf;
/**
 * 获取条件编译注释的 条件
 * @param comment
 */
function defCondition(comment) {
    return comment.trim().split(' ')[1];
}
exports.defCondition = defCondition;
//# sourceMappingURL=comment.js.map