import { babelTypes as t } from '@morjs/utils';
import { DataBindingNode } from '../types';
export default class DataBinding implements DataBindingNode {
    type: "DataBindingNode";
    private _express;
    get express(): string;
    private _hasBinding;
    /**
     * 是否有绑定
     */
    get hasBinding(): boolean;
    private _bindingVars;
    get bindingVars(): Set<string>;
    private _bindingExpression;
    get bindingExpression(): any;
    constructor(express: string);
    private expParts;
    private parse;
    private parseExp;
    getExpressionAst(options?: any): t.Expression;
    private expressionAst;
    getExpressionAstForText(): t.Expression;
}
