"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@morjs/utils");
const option_1 = require("../../../option");
const helper_databinding_1 = require("../helper-databinding");
function default_1(_, att, context) {
    context.mergeDatabindingVars(att.value);
    if (_.type === 'ElementNode' && (0, option_1.isGlobalComponent)(_.name, context.options)) {
        return utils_1.babelTypes.jsxAttribute(utils_1.babelTypes.jsxIdentifier('class'), (0, helper_databinding_1.databindingForAttribute)(att.value));
    }
    return utils_1.babelTypes.jsxAttribute(utils_1.babelTypes.jsxIdentifier('className'), (0, helper_databinding_1.databindingForAttribute)(att.value));
}
exports.default = default_1;
//# sourceMappingURL=ClassAttributeNode.js.map