"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@morjs/utils");
const helper_databinding_1 = require("../helper-databinding");
function default_1(_, att, context) {
    context.mergeDatabindingVars(att.value);
    let eventName = att.name;
    // 首字母大写
    eventName = eventName.replace(eventName[0], eventName[0].toUpperCase());
    if (att.isCatch) {
        eventName = 'catch' + eventName;
    }
    else {
        eventName = 'on' + eventName;
    }
    const value = utils_1.babelTypes.jsxExpressionContainer(utils_1.babelTypes.callExpression(utils_1.babelTypes.memberExpression(utils_1.babelTypes.identifier('$rm'), utils_1.babelTypes.identifier('getEvent')), [(0, helper_databinding_1.databindingForValue)(att.value), utils_1.babelTypes.identifier('$data')]));
    return utils_1.babelTypes.jsxAttribute(utils_1.babelTypes.jsxIdentifier(eventName), value);
}
exports.default = default_1;
//# sourceMappingURL=EventAttributeNode.js.map