"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@morjs/utils");
const acss_1 = require("../../../acss");
const option_1 = require("../../../option");
const utils_2 = require("../utils");
const isCustomElementFunc = (type, name, options) => type === 'ElementNode' && !(0, option_1.isGlobalComponent)(name, options);
function default_1(_, att, context) {
    context.mergeDatabindingVars(att.value);
    const isCustomElement = isCustomElementFunc(_.type, _.name, context.options);
    if (att.value.hasBinding) {
        return utils_1.babelTypes.jsxAttribute(utils_1.babelTypes.jsxIdentifier('style'), isCustomElement
            ? utils_1.babelTypes.jsxExpressionContainer((0, utils_2.getOptionalChainExpression)(att.value.getExpressionAst()))
            : utils_1.babelTypes.jsxExpressionContainer(utils_1.babelTypes.callExpression(utils_1.babelTypes.memberExpression(utils_1.babelTypes.identifier('$rm'), utils_1.babelTypes.identifier('createStyle')), [(0, utils_2.getOptionalChainExpression)(att.value.getExpressionAst())])));
    }
    else {
        return utils_1.babelTypes.jsxAttribute(utils_1.babelTypes.jsxIdentifier('style'), isCustomElement
            ? utils_1.babelTypes.stringLiteral(att.value.express)
            : utils_1.babelTypes.jsxExpressionContainer(utils_1.babelTypes.callExpression(utils_1.babelTypes.memberExpression(utils_1.babelTypes.identifier('$rm'), utils_1.babelTypes.identifier('createStyle')), [utils_1.babelTypes.stringLiteral((0, acss_1.rpxtorem)(att.value.express, context.options))])));
    }
}
exports.default = default_1;
//# sourceMappingURL=StyleAttributeNode.js.map