import { DataBindingNode } from '../ast/types';
import { AXMLOptions } from '../options';
export default class Context {
    readonly options: AXMLOptions;
    constructor(options: AXMLOptions);
    /**
     * 数据绑定的中引用的变量名称
     */
    dataBindingVars: Set<string>;
    /**
     * 将数据绑定中用到的变量，合并到Context 中
     * @param node
     */
    mergeDatabindingVars(node: DataBindingNode): void;
}
