"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@morjs/utils");
const index_1 = __importDefault(require("../attributes/index"));
const index_2 = __importDefault(require("./index"));
function default_1(node, context) {
    const children = [];
    if (node.children.length > 0) {
        children.push(utils_1.babelTypes.jsxText('\r\n'));
        node.children.forEach((item) => children.push((0, index_2.default)(item, context)));
        children.push(utils_1.babelTypes.jsxText('\r\n'));
    }
    const { attributes = [] } = node;
    const attrs = attributes
        .filter((n) => n.name === 'key')
        .map((attr) => (0, index_1.default)(node, attr, context));
    return utils_1.babelTypes.jsxElement(utils_1.babelTypes.jsxOpeningElement(utils_1.babelTypes.jsxIdentifier('$rm.Block'), attrs, children.length === 0), utils_1.babelTypes.jsxClosingElement(utils_1.babelTypes.jsxIdentifier('$rm.Block')), children, null);
}
exports.default = default_1;
//# sourceMappingURL=BlockNode.js.map