"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@morjs/utils");
const error_1 = require("../error");
const utils_2 = require("../utils");
const index_1 = __importDefault(require("./index"));
function default_1(node, context) {
    (0, error_1.checkDataBinding)(node.expresion);
    context.mergeDatabindingVars(node.expresion);
    const contentElement = (0, index_1.default)(node.element, context);
    const body = utils_1.babelTypes.isJSXExpressionContainer(contentElement)
        ? contentElement.expression
        : contentElement;
    return utils_1.babelTypes.jsxExpressionContainer(utils_1.babelTypes.callExpression(utils_1.babelTypes.memberExpression(utils_1.babelTypes.callExpression(utils_1.babelTypes.memberExpression(utils_1.babelTypes.identifier('$rm'), utils_1.babelTypes.identifier('getForValue')), [(0, utils_2.getOptionalChainExpression)(node.expresion.bindingExpression)]), utils_1.babelTypes.identifier('map')), [
        utils_1.babelTypes.arrowFunctionExpression([
            utils_1.babelTypes.identifier(node.item || 'item'),
            utils_1.babelTypes.identifier(node.index || 'index')
        ], body)
    ]));
}
exports.default = default_1;
//# sourceMappingURL=ForElementNode.js.map